FilterSelector Controller

Used metadata:

- `directedFilterAttributes`: List of attribute names which should have rules already ready when using the filter tools. For WMS layers.

Used functionalities:

- `preset_layer_filter`: Name of the layer (data source) that should be toggled in the filter tool upon loading an application. Note: although this is a list, only one can be defined.
- `filterable_layers`: A list of layer names that can be filtered, if empty the component will be hidden.

### Hierarchy

- FilterSelectorController

## Index

### Constructors

- constructor

## Constructors

### constructor

- new FilterSelectorController($scope: IScope, $timeout: ITimeoutService, gettextCatalog: gettextCatalog, gmfDataSourceBeingFiltered: DataSourceBeingFiltered, gmfDataSourcesHelper: DatasourceHelper, gmfSavedFilters: SavedFilter, gmfUser: User, ngeoNotification: MessageNotification, ngeoFeatureOverlayMgr: FeatureOverlayMgr, ngeoRuleHelper: RuleHelper): FilterSelectorController

- - Defined in contribs/gmf/src/filters/filterselectorComponent.js:113
  nginject
  ngdoc

    controller

  ngname

    GmfFilterselectorController

  #### Parameters

  - ##### $scope: IScope

    Angular scope.

  - ##### $timeout: ITimeoutService

    Angular timeout service.

  - ##### gettextCatalog: gettextCatalog

    Gettext catalog.

  - ##### gmfDataSourceBeingFiltered: DataSourceBeingFiltered

        The Gmf value service that determines the data source currently being filtered.

  - ##### gmfDataSourcesHelper: DatasourceHelper

    Gmf data sources helper service.

  - ##### gmfSavedFilters: SavedFilter

    Gmf saved filters service.

  - ##### gmfUser: User

    User.

  - ##### ngeoNotification: MessageNotification

    Ngeo notification service.

  - ##### ngeoFeatureOverlayMgr: FeatureOverlayMgr

    Ngeo FeatureOverlay manager

  - ##### ngeoRuleHelper: RuleHelper

    Ngeo rule helper service.

  #### Returns FilterSelectorController

Generated using TypeDoc